Bug 128107 - [PATCH] dns/nss_mdns: install extra module
Summary: [PATCH] dns/nss_mdns: install extra module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-15 01:00 UTC by Andrew Stevenson
Modified: 2008-11-14 10:30 UTC (History)
0 users

See Also:


Attachments
file.diff (10.88 KB, patch)
2008-10-15 01:00 UTC, Andrew Stevenson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Stevenson 2008-10-15 01:00:06 UTC
The nss_mdns port does not currently build and install the nss_mdns_minimal
module. This module only performs lookups for the .local domain and self
assigned IP addresses, rejecting others. This can be used to speed up the
resolution of non mdns registered host names. A useful entry in nsswitch.conf
might be:

hosts: files cache mdns_minimal [NOTFOUND=return] dns

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-10-15 01:02:42 UTC
Maintainer of dns/nss_mdns,

Please note that PR ports/128107 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128107

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-10-15 01:02:43 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ashish Shukla 2008-10-16 08:24:36 UTC
Edwin Groothuis writes:
> Maintainer of dns/nss_mdns,

> Please note that PR ports/128107 has just been submitted.

> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128107

Yes, I approve the patch mentioned at above URL. Please commit it.

Thanks
Ashish Shukla
-- 
()  ascii ribbon campaign - against HTML e-mail
/\  www.asciiribbon.org   - against proprietary attachments
·-- ·- ···· ·--- ·- ···- ·- ·--·-· --· -- ·- ·· ·-·· ·-·-·- -·-· --- --
% dig +short cname cdac.in @::1
ms.gov.in
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-10-16 09:33:33 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pav Lucistnik freebsd_committer 2008-11-14 10:18:11 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2008-11-14 10:23:48 UTC
pav         2008-11-14 10:23:34 UTC

  FreeBSD ports repository

  Modified files:
    dns/nss_mdns         Makefile 
    dns/nss_mdns/files   patch-src__Makefile.am 
                         patch-src__bsdnss.c 
  Added files:
    dns/nss_mdns/files   patch-src__nss.c 
                         patch-src__nss_gethostname_select.h 
  Log:
  - Build and install the nss_mdns_minimal module. This module only performs
    lookups for the .local domain and self assigned IP addresses, rejecting
    others. This can be used to speed up the resolution of non mdns registered
    host names.
  
  PR:             ports/128107
  Submitted by:   Andrew <andrew@ugh.net.au>
  Approved by:    Ashish Shukla <wahjava@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.12      +8 -3      ports/dns/nss_mdns/Makefile
  1.3       +7 -9      ports/dns/nss_mdns/files/patch-src__Makefile.am
  1.6       +50 -13    ports/dns/nss_mdns/files/patch-src__bsdnss.c
  1.1       +39 -0     ports/dns/nss_mdns/files/patch-src__nss.c (new)
  1.1       +55 -0     ports/dns/nss_mdns/files/patch-src__nss_gethostname_select.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"